/********************************************************************************
	Title:    Display.c
	Author:   Matthias Reis <mail@mreis.de>
	Date:     27.04.2004
	Purpose:  AnzeigeRoutinen fr die GrossUhr
	Software: AVR-GCC with GNU binutils to compile, assemble and link needed
	Hardware: ATMega8 at 8 Mhz
********************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h> 
#include <avr/eeprom.h>
#include "Types.h"
#include "eeprom.h"
#include "main.h"

//Aufbau
//0: Initaddr	(Wurde das eeprom schon initialisiert? Dann steht hier eine 1 drin)
//1: bright_hi
//2: bright_off

void Save(void)
{
	eeprom_write_byte((uint8_t *)0x0000,1);
	eeprom_write_byte((uint8_t *)0x0001,bright_hi);
	eeprom_write_byte((uint8_t *)0x0002,bright_off);
}

void Load(void)
{
	if (eeprom_read_byte((uint8_t *)0x0000)!=1)	//eeprom wurde noch nicht initialisiert, also erst Save
		Save();
	bright_hi=eeprom_read_byte((uint8_t *)0x0001);
	bright_off=eeprom_read_byte((uint8_t *)0x0002);

}

void wait_ready(void)
{
	//Warten auf EEPROM
	while (!eeprom_is_ready()){}
}  