/********************************************************************************
	Title:    Display.c
	Author:   Matthias Reis <mail@mreis.de>
	Date:     27.04.2004
	Purpose:  AnzeigeRoutinen fr die GrossUhr
	Software: AVR-GCC with GNU binutils to compile, assemble and link needed
	Hardware: ATMega8 at 8 Mhz
********************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h> 
#include "Types.h"
#include "Main.h"
#include "clock.h"




/***************************************************************************************************

Function		:setMoon

Parameter In	: -
Parameter Out	: -

Description		: Berechnet die Stellung des Mondes zum aktuellen Datum

Date			: MR .04.2004

****************************************************************************************************/

void setMoon(void)
{
	//Am 01.06.2000 20:13:36 (Nullpunkt) war Neumond. Die Mondphase dauert 29,530588 Tage, oder 42.524 (aufgerundet) Minuten.
	//Damit ist alle 1933 (22 Zustnde der Mondanzeige) Minuten ein Wechsel der Mondanzeige erforderlich.
	float secDiff;
	
	//Anzahl der Minuten zw. Nullpunkt und heute
	secDiff=dayDiff(1,6,00,clock.day,clock.month,clock.year);
	secDiff=secDiff*24*60;
	//Anzahl der Minuten zw. Uhrzeit Nullpunkt und jetzt
	secDiff= secDiff + (clock.hour*60+clock.minute);
	secDiff= secDiff - (20*60+13);
	//Modulo Anz Minuten 42524
	//secDiff = (secDiff % 42524);
	secDiff = ((secDiff/42524)-(int)(secDiff/42524))*42524;
	//**** Korrekturcode wg. nicht funktionierendem Modulo
	//secDiff = secDiff/0xffff;
	//Ergebnis / 1933
	clock.moon=secDiff/1933;
	
}
    
	

/*
void daynumber(int tag, int monat, int jahr)
{

  int a,b,c,d,e,number;

  a=jahr%4;
  b=jahr%100;
  c=jahr%400;
  d=(monat+10)/13;
  e=tag+3055*(monat+2)/100-2*d-91;
  number=e+(1-(a+3)/4+(b+99)/100-(c+399)/4)*d;

  printf("Heute ist der %d -te Tag im Jahr!\n",number);
}
*/